%define oname	wbfs_gtk

Name:		wbfs-manager
Version:	0.1.12
Release:	%mkrel 2
Summary:	A WBFS manager for Linux using GTK+
License:	GPLv2
Group:		System/Kernel and hardware
Url:		http://code.google.com/p/linux-wbfs-manager/
Source0:	http://linux-wbfs-manager.googlecode.com/files/linux-%{name}-%{version}.tar.gz
Source1:	wbfs-gtk.desktop
Patch1:		wbfs-manager.patch

BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	desktop-file-utils


%description
This is yet another graphic WBFS (Wii Backup File System) manager 
for Linux. It uses libwbfs from Kwiirk and caristat 
(available from the authors at 
http://github.com/kwiirk/wbfs/tree/master). 

%prep
%setup -q -n linux-%{name}
%patch1 -p1

%build
%make

%install
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_datadir}/%{name}
cp -p wbfs_gtk %{buildroot}%{_sbindir}
cp -p wbfs_gui.glade %{buildroot}%{_datadir}/%{name}

# Desktop file
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}
 
# Copying icons
for png in 64x64 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps
done
cp -p wbfs_gtk-16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{oname}.png
cp -p wbfs_gtk-32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{oname}.png
cp -p wbfs_gtk-64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{oname}.png
  
# Adjust for console-helper magic
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
ln -s consolehelper %{oname}
popd 

%files
%doc README
%{_bindir}/%{oname}
%{_sbindir}/%{oname}
%{_datadir}/%{name}/
%{_datadir}/applications/wbfs-gtk.desktop
%{_iconsdir}/hicolor/*/*/%{oname}.png


%changelog
* Sun Aug 11 2013 david.david (MLO Team) <david.david> 0.1.12-2.mga3
+ Rebuild package for Mageia 3 (Core)
- use correct macro
- fix add pkgconfig for BR
- add a consolehelper symlink to wbfs_gtk
- add oname

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 0.1.12-1.mga3
+ Rebuild package for Mageia 3 (Core)
- Import package from Fedora
- Icons added
- clean "spec" file
- new version: 0.1.12

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.1.12-3
- Rebuild for new libpng

* Mon May 23 2011 Dave Riches <david.r@ultracar.co.uk> - 0.1.12-2
- fixed CFLAGS

* Sat Mar 12 2011 Dave Riches - 0.1.12-1
- Packaged for fedora

